Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 83)
@@ -1020,77 +1655,89 @@
                 Array.Clear(m_Alldgv, 0, m_Alldgv.Length);
                 Array.Clear(m_GridWidthSize, 0, m_GridWidthSize.Length);
 
-                int TabPoint = 0;
-                // 1:秘書からの連絡
-                TabPoint = (int)TabNameEnum.BusinessMessage - 1;
-                m_GridWidthSize[TabPoint] = dgvBusinessMessage.Width;
-                m_Alldgv[TabPoint] = dgvBusinessMessage;
-                // 2:社内掲示板
-                TabPoint = (int)TabNameEnum.MessageBoard - 1;
-                m_GridWidthSize[TabPoint] = dgvMessageBoard.Width;
-                m_Alldgv[TabPoint] = dgvMessageBoard;
-                // 3:承認一覧
-                TabPoint = (int)TabNameEnum.DocumentApproval - 1;
-                m_GridWidthSize[TabPoint] = dgvApproval.Width;
-                m_Alldgv[TabPoint] = dgvApproval;
-                // 4:工事案件
-                TabPoint = (int)TabNameEnum.SalesInProjects - 1;
-                m_GridWidthSize[TabPoint] = dgvSalesInProjects.Width;
-                m_Alldgv[TabPoint] = dgvSalesInProjects;
-                // 5:入札案件
-                TabPoint = (int)TabNameEnum.Tenders - 1;
-                m_GridWidthSize[TabPoint] = dgvTenders.Width;
-                m_Alldgv[TabPoint] = dgvTenders;
-                // 6:予算取り案件
-                TabPoint = (int)TabNameEnum.BudgetUpProjects - 1;
-                m_GridWidthSize[TabPoint] = dgvBudgetUp.Width;
-                m_Alldgv[TabPoint] = dgvBudgetUp;
-                // 7:受注案件
-                TabPoint = (int)TabNameEnum.ConstructionProjects - 1;
-                m_GridWidthSize[TabPoint] = dgvConstructionProjects.Width;
-                m_Alldgv[TabPoint] = dgvConstructionProjects;
-                // 8:非受注工事
-                TabPoint = (int)TabNameEnum.NonOrders - 1;
-                m_GridWidthSize[TabPoint] = dgvNonOrders.Width;
-                m_Alldgv[TabPoint] = dgvNonOrders;
-                // 9:完了工事
-                TabPoint = (int)TabNameEnum.CompletionOfConstruction - 1;
-                m_GridWidthSize[TabPoint] = dgvCompletionOfConstruction.Width;
-                m_Alldgv[TabPoint] = dgvCompletionOfConstruction;
-                // 10:行動予定
-                TabPoint = (int)TabNameEnum.ActionSchedule - 1;
-                m_GridWidthSize[TabPoint] = dgvActionSchedule.Width;
-                m_Alldgv[TabPoint] = dgvActionSchedule;
-                // 11:人員配置
-                TabPoint = (int)TabNameEnum.StaffAssignment - 1;
-                m_GridWidthSize[TabPoint] = dgvStaffAssignment.Width;
-                m_Alldgv[TabPoint] = dgvStaffAssignment;
-                // ----- 以下はグリッド無・未定
-                // 12:売上グラフ
-                //SalesGraph,
-                // 13:受注管理
-                //OrderMenu,
-                // 14:施工管理
-                //ConstructionMenu,
-                // 15:請求管理
-                //BillingMenu,
-                // 16:各種提出書類
-                //DocumentsToBeBubmitted,
-                // 17:総務管理
-                //Affairs,
-                // 18:BOSSマスタ
-                //MentenanceMenu,
-                // 19:管理者マスタ
-                //MentenanceMenu1,
-                // 20:所属長マスタ
-                //MentenanceMenu2,
-                // 21:担当者マスタ
-                //MentenanceMenu3,
-                // 22:参考資料
-                //ReferenceData,
-                // 23:資材管理
-                //Materials,
-
+                int TabCnt = 0;
+                for (int i = 0; i < AllTabCount; i++)
+                {
+                    TabCnt = i + 1;
+                    switch (TabCnt)
+                    {
+                        case (int)TabNameEnum.BusinessMessage:
+                            // 1:秘書からの連絡
+                            m_GridWidthSize[i] = dgvBusinessMessage.Width;
+                            m_Alldgv[i] = dgvBusinessMessage;
+                            break;
+                        // 2:社内掲示板
+                        case (int)TabNameEnum.MessageBoard:
+                            m_GridWidthSize[i] = dgvMessageBoard.Width;
+                            m_Alldgv[i] = dgvMessageBoard;
+                            break;
+                        // 3:工事承認一覧
+                        case (int)TabNameEnum.ConstructApproval:
+                            m_GridWidthSize[i] = dgvApproval.Width;
+                            m_Alldgv[i] = dgvApproval;
+                            break;
+                        // 4:担当者承認一覧
+                        case (int)TabNameEnum.PersonApproval:
+                            m_GridWidthSize[i] = dgvPersonApp.Width;
+                            m_Alldgv[i] = dgvPersonApp;
+                            break;
+                        // 5:工事案件
+                        case (int)TabNameEnum.SalesInProjects:
+                            m_GridWidthSize[i] = dgvSalesInProjects.Width;
+                            m_Alldgv[i] = dgvSalesInProjects;
+                            break;
+                        // 6:入札案件
+                        case (int)TabNameEnum.Tenders:
+                            m_GridWidthSize[i] = dgvTenders.Width;
+                            m_Alldgv[i] = dgvTenders;
+                            break;
+                        // 7:予算取り案件
+                        case (int)TabNameEnum.BudgetUpProjects:
+                            m_GridWidthSize[i] = dgvBudgetUp.Width;
+                            m_Alldgv[i] = dgvBudgetUp;
+                            break;
+                        // 8:受注案件
+                        case (int)TabNameEnum.ConstructionProjects:
+                            m_GridWidthSize[i] = dgvConstructionProjects.Width;
+                            m_Alldgv[i] = dgvConstructionProjects;
+                            break;
+                        // 9:非受注工事
+                        case (int)TabNameEnum.NonOrders:
+                            m_GridWidthSize[i] = dgvNonOrders.Width;
+                            m_Alldgv[i] = dgvNonOrders;
+                            break;
+                        // 10:完了工事
+                        case (int)TabNameEnum.CompletionOfConstruction:
+                            m_GridWidthSize[i] = dgvCompletionOfConstruction.Width;
+                            m_Alldgv[i] = dgvCompletionOfConstruction;
+                            break;
+                        // 11:行動予定
+                        case (int)TabNameEnum.ActionSchedule:
+                            m_GridWidthSize[i] = dgvActionSchedule.Width;
+                            m_Alldgv[i] = dgvActionSchedule;
+                            break;
+                        // 12:人員配置
+                        case (int)TabNameEnum.StaffAssignment:
+                            m_GridWidthSize[i] = dgvStaffAssignment.Width;
+                            m_Alldgv[i] = dgvStaffAssignment;
+                            break;
+                        // ----- 以下はグリッド無・未定
+                        // 13:売上グラフ
+                        //SalesGraph,
+                        // 14:受注管理
+                        //OrderMenu,
+                        // 15:施工管理
+                        //ConstructionMenu,
+                        // 16:請求管理
+                        //BillingMenu,
+                        // 17:各種提出書類
+                        //DocumentsToBeBubmitted,
+                        // 18:総務管理
+                        //Affairs,
+                        // 19:マスタメンテナンス
+                        //MentenanceMenu,
+                    }
+                }
                 // セルサイズ取得
                 int MaxCelCount = 0;
                 // 一番多いグリッドに合わせる
@@ -1135,6 +1782,7 @@
         private void CheckApprovalData()
         {
             IOProcessApproval AppDB = new IOProcessApproval();
+            bool bDataExist = false;
             try
             {
                 string strSQL = "SELECT count(*) FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, APPROVALMASTER C";
@@ -1149,12 +1797,33 @@
                 if (!AppDB.ExecuteReader(strSQL, ref arList)) return;
 
                 object[] objRec = (object[])arList[0];
-                if (CommonMotions.cnvInt(objRec[0]) == 0) return;
+                if (CommonMotions.cnvInt(objRec[0]) != 0)
+                {
+                    // 承認タブへ移動する
+                    tabMenu.SelectedIndex = (int)MenuTabAssign.ConstructApproval;
+                    bDataExist = true;
+                    return;
+                }
 
-                // 承認タブへ移動する
-                tabMenu.SelectedIndex = (int)MenuTabAssign.DocumentApproval;
+                strSQL = "SELECT count(*) FROM PERSONAPPROVAL A, PERSONINCHARGEMASTER B, APPROVALMASTER C";
+                strSQL += string.Format(" WHERE (A.SEQNO = 1 AND A.APPROVALSTATUS <> {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND NOT EXISTS (SELECT * FROM PERSONAPPROVAL D";
+                strSQL += " WHERE D.PERSONCODE = A.PERSONCODE AND D.APPROVALCODE = A.APPROVALCODE AND D.ORDERNO = A.ORDERNO AND D.SEQNO <> 1";
+                strSQL += string.Format(" AND D.PERSONCODE = {0} AND D.APPROVALSTATUS = {1})", CommonMotions.LoginUserData.PersonCode, (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND B.PERSONCODE = A.PERSONCODE";
+                strSQL += " AND (C.APPROVALCODE = A.APPROVALCODE AND C.DEPARTMENTCODE = B.DEPARTMENTCODE)";
+                strSQL += string.Format(" AND C.APPROVALPERSON = {0}", CommonMotions.LoginUserData.PersonCode);
+                ArrayList arListP = new ArrayList();
+                if (!AppDB.ExecuteReader(strSQL, ref arListP)) return;
 
-                MessageBox.Show("未承認のデータがあります、確認してください。", "承認確認", MessageBoxButtons.OK, MessageBoxIcon.Information);
+                object[] objRecP = (object[])arListP[0];
+                if (CommonMotions.cnvInt(objRecP[0]) != 0)
+                {
+                    // 承認タブへ移動する
+                    tabMenu.SelectedIndex = (int)MenuTabAssign.PersonApproval;
+                    bDataExist = true;
+                    return;
+                }
             }
             catch (Exception ex)
             {
@@ -1163,6 +1832,8 @@
             finally
             {
                 AppDB.close(); AppDB = null;
+                if(bDataExist)
+                    MessageBox.Show("未承認のデータがあります、確認してください。", "承認確認", MessageBoxButtons.OK, MessageBoxIcon.Information);
             }
         }
         #endregion
@@ -1377,8 +2048,10 @@
                 tabpage.Update();
                 Thread.Sleep(100);
 
+                // 表示行初期化
                 dgv.Rows.Clear();
-                dgv.RowTemplate.Height = 29;
+                // 表示行固定
+                dgv.RowTemplate.Height = 28;
 
                 int i = 0;
                 object[] firstRec = (object[])mbdData[0];
@@ -1459,14 +2132,14 @@
         #endregion
         #endregion
 
-        #region 承認申請
-        #region 承認申請データを取得する
+        #region 工事承認申請
+        #region 工事承認申請データを取得する
         /// <summary>
-        /// 承認申請データを取得する
+        /// 工事承認申請データを取得する
         /// </summary>
         /// <param name="arData"></param>
         /// <returns></returns>
-        private bool GetDocumentApproval(ref ArrayList arData)
+        private bool GetConstrApp(ref ArrayList arData)
         {
             IOProcessApproval paDB = new IOProcessApproval();
             try
@@ -1491,44 +2164,30 @@
                 strSQL += " IFNULL(G.APPROVALSTATUS, 4)";
 
 
-                 strSQL += " FROM PROCESSAPPROVAL A INNER JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.PERSONCODE";
-                 strSQL += " LEFT JOIN APPROVALMASTER E ON E.APPROVALCODE = A.APPROVALCODE AND E.DEPARTMENTCODE = C.DEPARTMENTCODE";
-                 strSQL += " LEFT JOIN PROCESSAPPROVAL G ON G.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND G.APPROVALCODE = A.APPROVALCODE AND G.ORDERNO = A.ORDERNO AND G.PERSONCODE = E.APPROVALPERSON AND G.SEQNO != 1";
-                 strSQL += " , CONSTRUCTIONBASEINFO B, CONSTRUCTIONBASEINFODETAIL D, PERSONINCHARGEMASTER F";
-                
+                strSQL += " FROM PROCESSAPPROVAL A INNER JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.PERSONCODE";
+                strSQL += " LEFT JOIN APPROVALMASTER E ON E.APPROVALCODE = A.APPROVALCODE AND E.DEPARTMENTCODE = C.DEPARTMENTCODE";
+
+                strSQL += " LEFT JOIN PROCESSAPPROVAL G";
+                strSQL += " ON G.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += " AND G.APPROVALCODE = A.APPROVALCODE";
+                strSQL += " AND G.ORDERNO = A.ORDERNO";
+                strSQL += " AND G.PERSONCODE = E.APPROVALPERSON";
+                strSQL += " AND G.SEQNO != 1";
+
+                strSQL += ", CONSTRUCTIONBASEINFO B, CONSTRUCTIONBASEINFODETAIL D, PERSONINCHARGEMASTER F";
+
                 strSQL += string.Format(" WHERE ((A.SEQNO = 1 AND A.ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
-                strSQL += string.Format(" OR (A.SEQNO = 1 AND A.ApprovalStatus = {0} AND DATE(A.UPDATEDATE) >= (DATE(NOW()) - 7)) AND B.CONSTRUCTIONSTATUSFLG < {1})"
-                                        , (int)CommonDefine.ApprovalStatus.Approval, iStatus);
+                strSQL += string.Format(" OR (A.SEQNO = 1 AND A.ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND CAST(A.UPDATEDATE AS date) >= (CAST(NOW() AS date) - 7))";
+                strSQL += string.Format(" AND B.CONSTRUCTIONSTATUSFLG < {0})", iStatus);
 
-                strSQL += " AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += " AND A.PERSONCODE = C.PERSONCODE";
-                strSQL += " AND A.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND (D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 strSQL += " AND F.PERSONCODE = E.APPROVALPERSON";
 
-                //// 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                //    {
-                //        // 一般ユーザーは自分の承認のみ表示する
-                //        strSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-                //    }
-                //}
-                //else
-                //{
-                //    if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
-                //    {
-                //        // 一般ユーザーは自分の承認のみ表示する
-                //        strSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-                //    }
-                //}
-
-                strSQL += " ORDER BY A.APPROVALCODE DESC, A.ORDERNO DESC, A.CONSTRUCTIONCODE DESC, A.PETITIONAPPROVALDATE DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC";
+                strSQL += " ORDER BY A.APPROVALCODE DESC, A.PETITIONAPPROVALDATE DESC, A.ORDERNO DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC";
                 if (!paDB.ExecuteReader(strSQL, ref arData)) return false;
 
-                //if (arData.Count == 0) return false;
-
                 return true;
             }
             catch (Exception ex)
@@ -1543,11 +2202,11 @@
         }
         #endregion
 
-        #region 書類承認データ並び
+        #region 工事承認データ並び
         /// <summary>
-        /// 書類承認データ並び
+        /// 工事承認データ並び
         /// </summary>
-        private enum ApprovalDataList
+        private enum ConstrAppDataList
         {
             /// <summary>
             /// 承認処理コード
@@ -1608,24 +2267,24 @@
         }
         #endregion
         
-        #region 書類承認表示ループ処理
+        #region 工事承認表示ループ処理
         /// <summary>
-        /// 書類承認表示ループ処理
+        /// 工事承認表示ループ処理
         /// </summary>
-        private void DispDocumentApproval()
+        private void DispConstrApp()
         {
+            DataGridView dgv = dgvApproval;
             try
             {
-                DataGridView dgv = dgvApproval;
                 dgv.Rows.Clear();
 
                 // ----- 工事案件毎に最大の承認を取得する
                 ArrayList arData = new ArrayList();
-                if (!GetDocumentApproval(ref arData)) return;
+                if (!GetConstrApp(ref arData)) return;
 
-                ProgressDApproval.Visible = true;
-                ProgressDApproval.Minimum = 0;
-                ProgressDApproval.Maximum = arData.Count;
+                ProgressConstrApp.Visible = true;
+                ProgressConstrApp.Minimum = 0;
+                ProgressConstrApp.Maximum = arData.Count;
                 tabPage3.Update();
 
                 // 行を作成する
@@ -1639,15 +2298,13 @@
                 // ため込み処理領域初期化
                 ArrayList BufferList = new ArrayList();
                 object[] objfirst = (object[])arData[0];
-                int BreakApprovalCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ApprovalCode]);
-                int BreakOrderNo = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.OrderNo]);
-                int BreakConstructionCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ConstructionCode]);
+                int BreakApprovalCode = CommonMotions.cnvInt(objfirst[(int)ConstrAppDataList.ApprovalCode]);
+                int BreakConstructionCode = CommonMotions.cnvInt(objfirst[(int)ConstrAppDataList.ConstructionCode]);
 
                 foreach (object[] objLoopRec in arData)
                 {
-                    if (BreakApprovalCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ApprovalCode])
-                        && BreakOrderNo == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.OrderNo])
-                        && BreakConstructionCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]))
+                    if (BreakApprovalCode == CommonMotions.cnvInt(objLoopRec[(int)ConstrAppDataList.ApprovalCode])
+                        && BreakConstructionCode == CommonMotions.cnvInt(objLoopRec[(int)ConstrAppDataList.ConstructionCode]))
                     {
                         BufferList.Add(objLoopRec);
                         continue;
@@ -1654,12 +2311,11 @@
                     }
 
                     // 行表示
-                    DispDocumentApprovalRowProc(ino, BufferList, ref BreakCode);
+                    DispConstrAppRowProc(ino, BufferList, ref BreakCode);
 
                     // ブレイクキー更新
-                    BreakApprovalCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ApprovalCode]);
-                    BreakOrderNo = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.OrderNo]);
-                    BreakConstructionCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]);
+                    BreakApprovalCode = CommonMotions.cnvInt(objLoopRec[(int)ConstrAppDataList.ApprovalCode]);
+                    BreakConstructionCode = CommonMotions.cnvInt(objLoopRec[(int)ConstrAppDataList.ConstructionCode]);
                     BufferList.Clear();
                     BufferList.Add(objLoopRec);
 
@@ -1666,8 +2322,8 @@
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
-                    ProgressDApproval.Value = ino++;
-                    ProgressDApproval.Update();
+                    ProgressConstrApp.Value = ino++;
+                    ProgressConstrApp.Update();
                 }
 
                 // 最終行の表示
@@ -1674,23 +2330,29 @@
                 if (BufferList.Count != 0)
                 {
                     // 行表示
-                    DispDocumentApprovalRowProc(ino, BufferList, ref BreakCode);
+                    DispConstrAppRowProc(ino, BufferList, ref BreakCode);
                 }
 
-                BlankLien:
-                
+            BlankLien:
+
                 dgv.ResumeLayout();
 
                 // ProgressBarの値を変更する
-                ProgressDApproval.Value = ProgressDApproval.Maximum;
-                ProgressDApproval.Update();
-                ProgressDApproval.Visible = false;
+                ProgressConstrApp.Value = ProgressConstrApp.Maximum;
+                ProgressConstrApp.Update();
+                ProgressConstrApp.Visible = false;
 
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
                 // 読込時データカウント取得
                 if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
                     dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
 
-                // データが多くなればソートできる
                 foreach (DataGridViewColumn wrkCol in dgv.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
@@ -1697,21 +2359,14 @@
                 // グリッドソート実行
                 GridSortExcute(dgv);
             }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-            }
         }
         #endregion
 
-        #region 書類承認表示処理
+        #region 工事承認表示処理
         /// <summary>
-        /// 書類承認表示処理
+        /// 工事承認表示処理
         /// </summary>
-        private void DispDocumentApprovalRowProc(int ino, ArrayList BufferList, ref int BreakCode)
+        private void DispConstrAppRowProc(int ino, ArrayList BufferList, ref int BreakCode)
         {
             try
             {
@@ -1718,7 +2373,6 @@
                 DataGridView dgv = dgvApproval;
                 bool bFirst = true;
                 int CurRowCnt = 0;
-                int ObjCurCount = 0;
 
                 int iConstructionCode = 0;
                 int iApprovalCode = 0;
@@ -1733,12 +2387,12 @@
                 foreach (object[] objwrk in BufferList)
                 {
                     // データ取得
-                    iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ConstructionCode]);       // 工事番号
-                    iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ApprovalCode]);               // 承認機能番号
-                    iOrderNo = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.OrderNo]);                         // 受付番号
-                    DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.DepartmentCode]);            // 対象部署取得
-                    strPerson = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.PersonName]);                  // 申請者名取得
-                    strConstrName = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.ConstructionName]);
+                    iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ConstrAppDataList.ConstructionCode]);       // 工事番号
+                    iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ConstrAppDataList.ApprovalCode]);               // 承認機能番号
+                    iOrderNo = CommonMotions.cnvInt(objwrk[(int)ConstrAppDataList.OrderNo]);                         // 受付番号
+                    DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ConstrAppDataList.DepartmentCode]);            // 対象部署取得
+                    strPerson = CommonMotions.cnvString(objwrk[(int)ConstrAppDataList.PersonName]);                  // 申請者名取得
+                    strConstrName = CommonMotions.cnvString(objwrk[(int)ConstrAppDataList.ConstructionName]);
                     // 注文書は回数を付ける
                     if (iApprovalCode == (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval)
                     {
@@ -1745,14 +2399,14 @@
                         strConstrName += string.Format("　{0}回目", iOrderNo);
                     }
 
-                    ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.EntryDate]);             // 申請日付
-                    ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.ApprovalLimitDates].ToString());    // 承認希望日
+                    ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ConstrAppDataList.EntryDate]);             // 申請日付
+                    ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ConstrAppDataList.ApprovalLimitDates].ToString());    // 承認希望日
 
                     if (!bFirst)
                     {
                         if (iApprovalCode == (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval)
                         {
-                            if (iOrderNo == CommonMotions.cnvInt(dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.OrderNo].Value))
+                            if (iOrderNo == CommonMotions.cnvInt(dgv.Rows[CurRowCnt].Cells[(int)ConstrAppGridCount.OrderNo].Value))
                                 continue;
                         }
                         else
@@ -1790,19 +2444,24 @@
                                                     strLimitDate);
 
                     // 承認種別と種別名に色を付ける
-                    dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
-                    string wrkname = tabMenu.TabPages[(int)MenuTabAssign.DocumentApproval].Name;
+                    Color SelColor =ClsExcute.ApprovalTypeColorList[iApprovalCode];
+                    dgv.Rows[CurRowCnt].Cells[(int)ConstrAppGridCount.ApprovalName].Style.BackColor = SelColor;
+                    //dgv.Rows[CurRowCnt].Cells[(int)ConstrAppGridCount.ApprovalName].Style.ForeColor = CommonMotions.GetComplementaryColor(SelColor);
+                    string wrkname = MenuTabName.First(x => x.Value.Equals((int)TabNameEnum.MentenanceMenu)).Key;
                     int Tabcount = MenuTabName[wrkname] - 1;
 
+                    int ObjCurCount = 0;
+                    object[] objAuthorizer = null;
                     // データセット
                     for (int i = 0; i < BufferList.Count; i++)
                     {
-                        object[] objAuthorizer = (object[])BufferList[ObjCurCount++];
+                        if (i == 0) objAuthorizer = (object[])BufferList[i];
+                        if ((ObjCurCount + 1) <= BufferList.Count) objAuthorizer = (object[])BufferList[ObjCurCount++];
 
                         // 承認機能番号・受付番号・工事番号が違えばブレイク
-                        if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]))
-                            && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]))
-                            && (iConstructionCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ConstructionCode])))
+                        if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ApprovalCode]))
+                            && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.OrderNo]))
+                            && (iConstructionCode == CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ConstructionCode])))
                         {
 
                         }
@@ -1812,12 +2471,12 @@
                             break;
                         }
 
-                        iApprovalCode = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]);                // 承認機能番号
-                        iOrderNo = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]);                          // 受付番号
-                        iConstructionCode = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ConstructionCode]);        // 工事番号
+                        iApprovalCode = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ApprovalCode]);                // 承認機能番号
+                        iOrderNo = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.OrderNo]);                          // 受付番号
+                        iConstructionCode = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ConstructionCode]);        // 工事番号
 
                         // 承認者が列カウントを超えた場合
-                        if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
+                        if ((dgv.ColumnCount - 1) < ((int)ConstrAppGridCount.ApprovalPerson1 + i))
                         {
                             // 列を作成する
                             DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
